Page MenuHomePhabricator

kartotherian TLS support
Closed, ResolvedPublic

Description

kartotherian is currently accessible only via unencrypted HTTP requests.

It needs to be put behind tlsproxy as part of the upcoming efforts to move cache_upload to ATS.

Event Timeline

ema triaged this task as Normal priority.Dec 14 2018, 12:17 PM
ema created this task.
ema added a project: Maps (Kartotherian).

Change 479669 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] role::maps::{master,slave}: add tlsproxy

https://gerrit.wikimedia.org/r/479669

Change 479672 had a related patch set uploaded (by Ema; owner: Ema):
[labs/private@master] secret: dummy key for kartotherian

https://gerrit.wikimedia.org/r/479672

Change 479672 merged by Ema:
[labs/private@master] secret: dummy key for kartotherian

https://gerrit.wikimedia.org/r/479672

Change 479669 merged by Ema:
[operations/puppet@production] role::maps::{master,slave}: add tlsproxy

https://gerrit.wikimedia.org/r/479669

Change 480060 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] maps: add kartotherian-ssl LVS service

https://gerrit.wikimedia.org/r/480060

ema moved this task from Triage to TLS on the Traffic board.Dec 17 2018, 11:58 AM

Change 480060 merged by Ema:
[operations/puppet@production] maps: add kartotherian-ssl LVS service

https://gerrit.wikimedia.org/r/480060

Mentioned in SAL (#wikimedia-operations) [2018-12-17T12:29:18Z] <ema> lvs1006: bounce pybal to pick up new service kartotherian-ssl T211970

Mentioned in SAL (#wikimedia-operations) [2018-12-17T12:37:59Z] <ema> lvs2003: bounce pybal for new service kartotherian-ssl T211970

Mentioned in SAL (#wikimedia-operations) [2018-12-17T12:52:54Z] <ema> lvs1016: bounce pybal for new service kartotherian-ssl T211970

ema closed this task as Resolved.Dec 17 2018, 1:10 PM